return {
    {
        'nvim-telescope/telescope.nvim',
        dependencies = {
            'nvim-lua/plenary.nvim',
            'BurntSushi/ripgrep',
            'sharkdp/fd',
            'nvim-tree/nvim-web-devicons',
            'folke/which-key.nvim',
        },
        config = function()
            require('telescope').setup( {
                extensions = {
                    fzf = {
                        fuzzy = true,
                        override_generic_sorter = true,
                        override_file_sorter = true,
                        case_mode = 'smart_case',
                    }
                }
            })
            require('telescope').load_extension('fzf')
        end,
        keys = {
            {
                "<leader>ff",
                require('telescope.builtin').find_files,
                desc = 'find files'
            },
            {
                "<leader>fg",
                require('telescope.builtin').live_grep,
                desc = 'live grep'
            },
            {
                "<leader>fb",
                require('telescope.builtin').buffers,
                desc = 'buffers'
            },
            {
                "<leader>fh",
                require('telescope.builtin').help_tags,
                desc = 'help tags'
            },
            {
                "<leader>fo",
                require('telescope.builtin').oldfiles,
                desc = 'old files'
            },
            {
                "<leader>fc",
                require('telescope.builtin').commands,
                desc = 'commands'
            },
            {
                "<leader>fm",
                require('telescope.builtin').marks,
                desc = 'marks'
            },
            {
                "<leader>fq",
                require('telescope.builtin').quickfix,
                desc = 'quickfix'
            },
            {
                "<leader>fl",
                require('telescope.builtin').loclist,
                desc = 'loclist'
            },
            {
                "<leader>fr",
                require('telescope.builtin').registers,
                desc = 'registers'
            },
        }
    },
    {
        'nvim-telescope/telescope-fzf-native.nvim',
        build = 'make'
    }
}
